describe('Route de abm vehículo', function() {

    var route;

    beforeEach(function() {
        module('focaAbmVehiculo');
        inject(function($route) {
            route = $route;
        });
    });

    it('Ruta /vehiculo dirige correctamente', function() {
        //assert
        expect(route.routes['/vehiculo'].controller)
            .toBe('focaAbmVehiculosController');
        expect(route.routes['/vehiculo'].templateUrl)
            .toBe('src/views/foca-abm-vehiculos-listado.html');
    });

    it('Ruta /vehiculo/:idVehiculo/:idTransportista dirige correctamente', function() {
        //assert
        expect(route.routes['/vehiculo/:idVehiculo/:idTransportista'].controller)
            .toBe('focaAbmVehiculoController');
        expect(route.routes['/vehiculo/:idVehiculo/:idTransportista'].templateUrl)
            .toBe('src/views/foca-abm-vehiculos-item.html');
    });

    it('Ruta /vehiculo/:idVehiculo dirige correctamente', function() {
        //assert
        expect(route.routes['/vehiculo/:idVehiculo'].controller)
            .toBe('focaAbmVehiculoController');
        expect(route.routes['/vehiculo/:idVehiculo'].templateUrl)
            .toBe('src/views/foca-abm-vehiculos-item.html');
    });

    it('Ruta /vehiculo/:idVehiculo/cisterna/:idx dirige correctamente', function() {
        //assert
        expect(route.routes['/vehiculo/:idVehiculo/cisterna/:idx'].controller)
            .toBe('focaAbmVehiculoCisternaController');
        expect(route.routes['/vehiculo/:idVehiculo/cisterna/:idx'].templateUrl)
            .toBe('src/views/foca-abm-cisterna-item.html');
    });

});
